Bug 1891795

Summary: the authentication operator may spam DeploymentUpdated event endlessly
Product: OpenShift Container Platform Reporter: OpenShift BugZilla Robot <openshift-bugzilla-robot>
Component: apiserver-authAssignee: Standa Laznicka <slaznick>
Status: CLOSED ERRATA QA Contact: pmali
Severity: medium Docs Contact:
Priority: high    
Version: 4.6CC: aos-bugs, mfojtik
Target Milestone: ---   
Target Release: 4.6.z   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-12-14 13:50:25 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1891758    
Bug Blocks:    

Description OpenShift BugZilla Robot 2020-10-27 11:57:41 UTC
+++ This bug was initially created as a clone of Bug #1891758 +++

Description of problem:
In cases when authentication.operator resource's generation gets updated prior to the openshift-authentication/oauth-openshift deployment's generation, 

Version-Release number of selected component (if applicable):
4.6

How reproducible:
not sure about the exact percent, but quite often

Steps to Reproduce:
1. perform a configuration step that increases the generation of the openshift-authentication/oauth-openshift deployment

Actual results:
the authentication operator keeps logging and spamming an event that the openshift-authentication/oauth-openshift deployment changed


Expected results:
the deployment change event only gets reported once

Additional info:

Comment 1 pmali 2020-11-10 05:06:32 UTC
This bug is pre-merged verified according to DPTP-660, Here is the verification steps:

$ oc get clusterversion
NAME      VERSION                                           AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.6.0-0.ci.test-2020-11-10-034758-ci-ln-zvpjcz2   True        False         29m     Cluster version is 4.6.0-0.ci.test-2020-11-10-034758-ci-ln-zvpjcz2

I1110 05:01:16.368163       1 event.go:282] Event(v1.ObjectReference{Kind:"Deployment", Namespace:"openshift-authentication-operator", Name:"authentication-operator", UID:"d39a906f-a78a-4588-b8ce-ec019ab846f8", APIVersion:"apps/v1", ResourceVersion:"", FieldPath:""}): type: 'Normal' reason: 'DeploymentUpdated' Updated Deployment.apps/oauth-openshift -n openshift-authentication because it changed
I1110 05:01:20.365748       1 event.go:282] Event(v1.ObjectReference{Kind:"Deployment", Namespace:"openshift-authentication-operator", Name:"authentication-operator", UID:"d39a906f-a78a-4588-b8ce-ec019ab846f8", APIVersion:"apps/v1", ResourceVersion:"", FieldPath:""}): type: 'Normal' reason: 'DeploymentUpdated' Updated Deployment.apps/oauth-openshift -n openshift-authentication because it changed

Events not in loop and not even occurring when no changes to the deployment. Marking as Verified.

Comment 6 errata-xmlrpc 2020-12-14 13:50:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.6.8 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5259